Package org.fife.ui.rtextarea

## Class ClipboardHistory

- java.lang.Object
- - org.fife.ui.rtextarea.ClipboardHistory

-     public class ClipboardHistory
      extends Object

  Listens for cuts and copies from instances of `RTextArea`. This is used for the "clipboard history" shortcut (Ctrl+Shift+V by default).

  Note that this class does not listen for all events on the system clipboard, because that functionality is pretty fragile. See http://stackoverflow.com/questions/5484927/listen-to-clipboard-changes-check-ownership for more information.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(String str)` | Adds an entry to the clipboard history.
    `static ClipboardHistory` | `get()` | Returns the singleton instance of this class, lazily creating it if necessary.
    `List<String>` | `getHistory()` | Returns the clipboard history, in most-recently-used order.
    `int` | `getMaxSize()` | Returns the maximum number of clipboard values remembered.
    `void` | `setMaxSize​(int maxSize)` | Sets the maximum number of clipboard values remembered.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### add

          public void add​(String str)

      Adds an entry to the clipboard history.
      Parameters:
        `str` - The text to add.
      See Also:
        `getHistory()`

    - #### get

          public static final ClipboardHistory get()

      Returns the singleton instance of this class, lazily creating it if necessary.

      This method should only be called on the EDT.

      Returns:
        The singleton instance of this class.

    - #### getHistory

          public List<String> getHistory()

      Returns the clipboard history, in most-recently-used order.
      Returns:
        The clipboard history.

    - #### getMaxSize

          public int getMaxSize()

      Returns the maximum number of clipboard values remembered.
      Returns:
        The maximum number of clipboard values remembered.
      See Also:
        `setMaxSize(int)`

    - #### setMaxSize

          public void setMaxSize​(int maxSize)

      Sets the maximum number of clipboard values remembered.
      Parameters:
        `maxSize` - The maximum number of clipboard values to remember.
      Throws:
        `IllegalArgumentException` - If `maxSize` is not greater than zero.
      See Also:
        `getMaxSize()`